Segments
Create a segment
Conditions are checked as in the builder of the interface: an unknown type or operator is refused, with the path of the rule at fault.
POST
/
api
/
v1
/
lists
/
{list}
/
segments
Create a segment
curl --request POST \
--url https://{host}/api/v1/lists/{list}/segments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Anglophones actifs",
"conditions": {
"operator": "and",
"rules": [
{
"type": "language",
"operator": "equals",
"value": "en"
},
{
"type": "engagement",
"operator": "active_within_days",
"value": 90
}
]
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Anglophones actifs',
conditions: {
operator: 'and',
rules: [
{type: 'language', operator: 'equals', value: 'en'},
{type: 'engagement', operator: 'active_within_days', value: 90}
]
}
})
};
fetch('https://{host}/api/v1/lists/{list}/segments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/v1/lists/{list}/segments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Anglophones actifs',
'conditions' => [
'operator' => 'and',
'rules' => [
[
'type' => 'language',
'operator' => 'equals',
'value' => 'en'
],
[
'type' => 'engagement',
'operator' => 'active_within_days',
'value' => 90
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://{host}/api/v1/lists/{list}/segments"
payload = {
"name": "Anglophones actifs",
"conditions": {
"operator": "and",
"rules": [
{
"type": "language",
"operator": "equals",
"value": "en"
},
{
"type": "engagement",
"operator": "active_within_days",
"value": 90
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Active VIP customers",
"list": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conditions": {
"operator": "and",
"rules": [
{
"type": "tags",
"operator": "has_any",
"value": [
"vip"
]
},
{
"type": "engagement",
"operator": "active_within_days",
"value": 60
}
]
},
"subscribers_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "Unauthenticated."
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "The email field must be a valid email address.",
"errors": {}
}Authorizations
An API token. The "read" ability: GET routes only. "read + write": every route.
Headers
Replay a write safely: the same key gives back the first answer for 24 hours (header Idempotent-Replay: true).
Maximum string length:
255Path Parameters
The list's identifier (uuid).
Body
application/json
Maximum string length:
255A group of rules; a group may hold another one, two levels deep at most, 50 rules at most.
Show child attributes
Show child attributes
Example:
{
"operator": "and",
"rules": [
{
"type": "tags",
"operator": "has_any",
"value": ["vip"]
},
{
"type": "engagement",
"operator": "active_within_days",
"value": 60
}
]
}
Response
The segment, with how many subscribers match it.
Show child attributes
Show child attributes
⌘I
Create a segment
